> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Growth Agent

> Create a new custom growth agent (with its underlying Assistant) for the tenant.



## OpenAPI

````yaml post /opportunity/growth-agent
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /opportunity/growth-agent:
    post:
      tags:
        - Growth Agents
      summary: Create Growth Agent
      description: >-
        Create a new custom growth agent (with its underlying Assistant) for the
        tenant.
      operationId: create_growth_agent_opportunity_growth_agent_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GrowthAgentCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GrowthAgentSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GrowthAgentCreate:
      properties:
        name:
          type: string
          minLength: 1
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        category:
          $ref: '#/components/schemas/GrowthAgentCategory'
        iconName:
          type: string
          title: Iconname
          default: RiRobot2Line
        systemPrompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Systemprompt
        tools:
          items:
            type: string
          type: array
          title: Tools
        dataSources:
          items:
            type: string
          type: array
          title: Datasources
        defaultDataSources:
          items:
            type: string
          type: array
          title: Defaultdatasources
        configuration:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Configuration
        model:
          anyOf:
            - $ref: '#/components/schemas/LlmModelType'
            - type: 'null'
      type: object
      required:
        - name
        - category
      title: GrowthAgentCreate
    GrowthAgentSummary:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        category:
          $ref: '#/components/schemas/GrowthAgentCategory'
        iconName:
          type: string
          title: Iconname
          default: RiRobot2Line
        isSystem:
          type: boolean
          title: Issystem
          default: false
        systemSlug:
          anyOf:
            - type: string
            - type: 'null'
          title: Systemslug
        tools:
          items:
            type: string
          type: array
          title: Tools
        dataSources:
          items:
            type: string
          type: array
          title: Datasources
        defaultDataSources:
          items:
            type: string
          type: array
          title: Defaultdatasources
        configuration:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Configuration
        lastRunDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Lastrundate
        lastRunStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastrunstatus
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        model:
          anyOf:
            - $ref: '#/components/schemas/LlmModelType'
            - type: 'null'
      type: object
      required:
        - id
        - name
        - category
      title: GrowthAgentSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GrowthAgentCategory:
      type: string
      enum:
        - ANALYSIS
        - GENERATION
        - BUILDER
      title: GrowthAgentCategory
    LlmModelType:
      type: string
      enum:
        - gemini-3.5-flash
        - claude-3-7-sonnet
        - claude-3-5-haiku
        - gpt-5.2
        - gpt-5-mini
        - gpt-5-nano
        - gpt-realtime
        - gpt-realtime-mini
        - gemini-2.5-flash
        - gemini-2.5-flash-preview-05-20
        - gemini-2.5-flash-lite
        - gemini-3.5-flash
        - gemini-3.1-pro-preview
        - gemini-live
      title: LlmModelType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````